<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: _Param_Vertex Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>_Param_Vertex Struct Reference</h1><!-- doxytag: class="_Param_Vertex" -->
<p><code>#include &lt;<a class="el" href="types_8h_source.html">types.h</a>&gt;</code></p>

<p><a href="struct__Param__Vertex-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__Param__Vertex.html#ad61ebc6810df483f7b0e25fea5c6cdf1">Vertex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__Param__Vertex.html#a09d8d34daf37b7cbcff6761b80761f26">Domain</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__Param__Vertex.html#af7ff9a4be6a5202a9bcf741a8b233c9e">Facets</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="struct__Param__Vertex.html">_Param_Vertex</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__Param__Vertex.html#a1115989a70826c590a1c71923cdeee68">next</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="types_8h_source.html#l00141">141</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a09d8d34daf37b7cbcff6761b80761f26"></a><!-- doxytag: member="_Param_Vertex::Domain" ref="a09d8d34daf37b7cbcff6761b80761f26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmatrix.html">Matrix</a>* <a class="el" href="struct__Param__Vertex.html#a09d8d34daf37b7cbcff6761b80761f26">_Param_Vertex::Domain</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00146">146</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l00809">GenParamPolyhedron()</a>, <a class="el" href="polyparam_8c_source.html#l01577">Param_Vertices_Free()</a>, <a class="el" href="polyparam_8c_source.html#l01746">Param_Vertices_Print()</a>, and <a class="el" href="polyparam_8c_source.html#l00363">traite_m_face()</a>.</p>

</div>
</div>
<a class="anchor" id="af7ff9a4be6a5202a9bcf741a8b233c9e"></a><!-- doxytag: member="_Param_Vertex::Facets" ref="af7ff9a4be6a5202a9bcf741a8b233c9e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned* <a class="el" href="struct__Param__Vertex.html#af7ff9a4be6a5202a9bcf741a8b233c9e">_Param_Vertex::Facets</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00147">147</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l00809">GenParamPolyhedron()</a>, <a class="el" href="polyparam_8c_source.html#l01577">Param_Vertices_Free()</a>, and <a class="el" href="polyparam_8c_source.html#l00363">traite_m_face()</a>.</p>

</div>
</div>
<a class="anchor" id="a1115989a70826c590a1c71923cdeee68"></a><!-- doxytag: member="_Param_Vertex::next" ref="a1115989a70826c590a1c71923cdeee68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="struct__Param__Vertex.html">_Param_Vertex</a>* <a class="el" href="struct__Param__Vertex.html#a1115989a70826c590a1c71923cdeee68">_Param_Vertex::next</a><code> [read]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00148">148</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l00809">GenParamPolyhedron()</a>, <a class="el" href="polyparam_8c_source.html#l01896">Param_Polyhedron_Scale_Integer()</a>, <a class="el" href="polyparam_8c_source.html#l01577">Param_Vertices_Free()</a>, <a class="el" href="polyparam_8c_source.html#l01746">Param_Vertices_Print()</a>, <a class="el" href="ehrhart_8c_source.html#l01660">Scan_Vertices()</a>, and <a class="el" href="polyparam_8c_source.html#l00363">traite_m_face()</a>.</p>

</div>
</div>
<a class="anchor" id="ad61ebc6810df483f7b0e25fea5c6cdf1"></a><!-- doxytag: member="_Param_Vertex::Vertex" ref="ad61ebc6810df483f7b0e25fea5c6cdf1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmatrix.html">Matrix</a>* <a class="el" href="struct__Param__Vertex.html#ad61ebc6810df483f7b0e25fea5c6cdf1">_Param_Vertex::Vertex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00142">142</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l00809">GenParamPolyhedron()</a>, <a class="el" href="pp_8c_source.html#l00025">main()</a>, <a class="el" href="polyparam_8c_source.html#l01896">Param_Polyhedron_Scale_Integer()</a>, <a class="el" href="polyparam_8c_source.html#l01577">Param_Vertices_Free()</a>, <a class="el" href="polyparam_8c_source.html#l01746">Param_Vertices_Print()</a>, <a class="el" href="ehrhart_8c_source.html#l01660">Scan_Vertices()</a>, and <a class="el" href="polyparam_8c_source.html#l00363">traite_m_face()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="types_8h_source.html">types.h</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
